﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace HeaderWithCheckBoxTest
{
    public partial class Form1 : Form
    {
        DataSet dataSet;
        DataTable dataTable;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Debug.WriteLine("------------------------------------------------------------------------------------");
            Debug.Indent();
            Debug.WriteLine("Initial Load");
            Debug.Indent();
            ultraTabControl1.Tabs[0].Selected = true;
            PopulateDataSet();
            ultraGrid1.DataSource = dataSet;
        }

        private void PopulateDataSet()
        {
            dataSet = new DataSet();
            dataTable = new DataTable("Customer");
            dataTable.Columns.Add("Selected", typeof(bool));
            dataTable.Columns.Add("CustomerName", typeof(string));
            dataTable.Columns.Add("Date", typeof(DateTime));
            dataTable.Columns.Add("City", typeof(string));
            dataTable.Columns.Add("State", typeof(string));

            dataTable.Rows.Add(new object[] { true, "John Lever", DateTime.Now, "New York", "NY" });
            dataTable.Rows.Add(new object[] { false, "Walter Smith", DateTime.Now.AddDays(1), "Jersey City", "NJ" });
            dataTable.Rows.Add(new object[] { true, "Kathy Lever", DateTime.Now.AddDays(2), "Newark", "NJ" });
            dataTable.Rows.Add(new object[] { false, "George Wills", DateTime.Now.AddDays(3), "Trenton", "NJ" });

            dataSet.Tables.Add(dataTable);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.GroupByBox.Hidden = true;
            e.Layout.Bands[0].Columns[0].Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Always;
            e.Layout.Bands[0].Columns[0].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
        }

        private void ultraGrid1_AfterHeaderCheckStateChanged(object sender, AfterHeaderCheckStateChangedEventArgs e)
        {
            Debug.WriteLine("------------------------------------------------------------------------------------");
            Debug.Indent();
            Debug.WriteLine("ultraGrid1_AfterHeaderCheckStateChanged");
            Debug.WriteLine(string.Format("Column Key: {0}", e.Column.Key));
            Debug.Unindent();
        }
    }
}
